id: twitch-phish

info:
  name: Twitch phishing Detection
  author: rxerium
  severity: info
  description: |
    A twitch phishing website was detected
  reference:
    - https://twitch.tv
  metadata:
    max-request: 1
  tags: phishing,twitch,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Twitch is an interactive livestreaming service for content spanning gaming, entertainment, sports, music, and more. There’s something for everyone on Twitch.'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"twitch.tv")'
# digest: 4a0a004730450221008322fa96cf5093a9c0d27c5b0a9f037d16fe9257b6dfcd21cd9b62be809b833f02206fe3a5478068e73a5c3e5db594712b07bd79611cd8870399ce323995b05bc686:922c64590222798bb761d5b6d8e72950